Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.compiler
Class Keywords

    java.lang.Object
      |
      +--weblogic.apache.xpath.compiler.Keywords

public class Keywords
extends java.lang.Object

Table of strings to operation code lookups.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static java.lang.String` | `FUNC_KEY_STRING` key function string (XSLT).

Constructor Summary
`Keywords()`

Method Summary
`static boolean` | `functionAvailable(java.lang.String methName)` Tell if a built-in, non-namespaced function is available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUNC_KEY_STRING

    public static final java.lang.String FUNC_KEY_STRING

  key function string (XSLT).

Constructor Detail

### Keywords

    public Keywords()

Method Detail

### functionAvailable

    public static boolean functionAvailable(java.lang.String methName)

  Tell if a built-in, non-namespaced function is available.

  Parameters:
    `methName` - The local name of the function.
  Returns:
    True if the function can be executed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference